## augustus 3.3.1+dfsg

=== Makefile ===
#
# Makefile for Augustus
#
include common.mk

all:
	mkdir -p bin
	cd src && ${MAKE}
	cd auxprogs && ${MAKE}

clean:
	cd src && ${MAKE} clean
	cd auxprogs && ${MAKE} clean

INSTALLDIR = /opt/augustus-$(AUGVERSION)

install:
	install -d $(INSTALLDIR)
	cp -a config bin scripts $(INSTALLDIR)
	ln -sf $(INSTALLDIR)/bin/augustus /usr/local/bin/augustus
	ln -sf $(INSTALLDIR)/bin/etraining /usr/local/bin/etraining
	ln -sf $(INSTALLDIR)/bin/prepareAlign /usr/local/bin/prepareAlign
	ln -sf $(INSTALLDIR)/bin/fastBlockSearch /usr/local/bin/fastBlockSearch
	ln -sf $(INSTALLDIR)/bin/load2db /usr/local/bin/load2db
	ln -sf $(INSTALLDIR)/bin/getSeq /usr/local/bin/getSeq
	ln -sf $(INSTALLDIR)/bin/espoca /usr/local/bin/espoca

# for internal purposes:
release:
	find . -name .svn | xargs rm -rf
	find . -name "*~" | xargs rm -f
	rm -f src/makedepend.pl
	rm -r augustus-training
	cd docs/tutorial2015/results; ls | grep -v do.sh | grep -v README | xargs rm; cd -
	rm -r auxprogs/utrrnaseq/input/human-chr19
	rm -r docs/tutorial-cgp/results/cactusout
	make clean all
	make clean
	cd config/species; rm -rf tobacco xeno1 bombus_terrestris{1,3} symsag xenoturbella meara pavar newest elegans maker2_* lizard
	rm generic/*.pbl
	cd src/parser; rm Makefile; cd -
	cd ..; tar -czf augustus-$(AUGVERSION).tar.gz augustus

# remove -static from src/Makefile for MAC users
# remove -g -gdb from CXXFLAGS
# make COMPGENEPRED = true and SQLITE = true and MYSQL = true a comment

=== src/Makefile ===
#
# Makefile for Augustus
#
include ../common.mk
CXX	= g++

# Notes: - "-Wno-sign-compare" eliminates a high number of warnings (see footnote below). Please adopt
#          a strict signed-only usage strategy to avoid mistakes since we are not warned about this.
#        - The order of object files in $(OBJS) IS IMPORTANT (see lldouble.hh)
CXXFLAGS := -Wall -Wno-sign-compare -Wno-strict-overflow -pedantic -O3 ${CXXFLAGS}# -DDEBUG -g -ggdb -pg -DDEBUG_STATES
ifdef SQLITE
	COMPGENEPRED = true
endif

ifdef MYSQL
	COMPGENEPRED = true
endif

ifdef ZIPINPUT
	CXXFLAGS += -DZIPINPUT
	LIBS    = -lboost_iostreams
endif

ifdef COMPGENEPRED
	CXXFLAGS += -std=c++11 -DCOMPGENEPRED
endif
INCLS	= -I../include

OBJS	= genbank.o properties.o pp_profile.o pp_hitseq.o pp_scoring.o statemodel.o namgene.o \
 types.o gene.o evaluation.o motif.o geneticcode.o hints.o extrinsicinfo.o projectio.o \
 intronmodel.o exonmodel.o igenicmodel.o utrmodel.o merkmal.o vitmatrix.o lldouble.o mea.o graph.o \
 meaPath.o exoncand.o randseqaccess.o fasta.o ncmodel.o
ifdef COMPGENEPRED
	OBJS += parser/parse.o scanner/lex.o genomicMSA.o geneMSA.o contTimeMC.o compgenepred.o phylotree.o orthograph.o orthoexon.o alignment.o speciesgraph.o codonMSA.o train_logReg_param.o
	LIBS += -lgsl -lgslcblas # for matrix exponentiation that is required in comparative gene finding
	LIBS += -llpsolve55 -lcolamd -ldl # for mixed integer linear programming (alignment.cc)
	INCLS += -I/usr/include/lpsolve
endif
DUMOBJS = dummy.o
TOBJS	= commontrain.o igenictrain.o introntrain.o exontrain.o utrtrain.o # contentmodel.o baumwelch.o
PROGR	= augustus etraining prepareAlign fastBlockSearch
INFO    = cxxflags

ifdef MYSQL
# replace RUNTIME_LIBPATH with your own run-time libpath if mysql++ is not installed system-wide, e.g.
# RUNTIME_LIBPATH = -Wl,-rpath=/home/mario/augustus/trunks/mysql++/mysql++-3.1.0/lib 
RUNTIME_LIBPATH = 
INCLS	+= -I/usr/include/mysql -I/usr/include/mysql++ # the path to mysql++ may have to be adjusted
LIBS 	+=  -lmysqlclient -lmysqlpp ${RUNTIME_LIBPATH} # -L/usr/local/lib/libmysqlpp.so.3.1.0
CXXFLAGS  += -DAMYSQL
PROGR   += load2db getSeq
endif

ifdef SQLITE
LIBS	  += -lsqlite3
OBJS	  += sqliteDB.o
CXXFLAGS  += -DSQLITE
PROGR     += load2sqlitedb getSeq
endif

ifdef COMPGENEPRED
PROGR     += espoca
endif

all: $(OBJS) $(TOBJS) $(DUMOBJS) $(PROGR) info

.SUFFIXES:
.SUFFIXES: .cc .o .so

.cc.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $< $(INCLS)

augustus: augustus.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp augustus ../bin/

etraining: etraining.cc $(TOBJS) $(OBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp etraining ../bin/

evaluate: evaluate.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)

consensusFinder: consensusFinder.cc consensus.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp consensusFinder ../bin/

curve2hints: curve2hints.cc exon_seg.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp curve2hints ../bin/

fastBlockSearch: fastBlockSearch.cc pp_fastBlockSearcher.o \
	types.o properties.o geneticcode.o pp_profile.o lldouble.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp fastBlockSearch ../bin/

prepareAlign: pp_prepare_align.cc
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^
	cp prepareAlign ../bin/

load2db: load2db.cc fasta.o hints.o types.o properties.o lldouble.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp load2db ../bin/

load2sqlitedb: load2sqlitedb.cc fasta.o hints.o types.o properties.o lldouble.o sqliteDB.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp load2sqlitedb ../bin/

getSeq: getSeq.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp getSeq ../bin/

espoca: espoca.cc $(OBJS) $(DUMOBJS)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@ $^ $(INCLS) $(LIBS)
	cp espoca ../bin/ 

info:
	echo "$(CXXFLAGS)" > $(INFO)

clean:
	rm -f ../bin/* $(PROGR) $(OBJS) $(DUMOBJS) $(TOBJS) consensus.o exon_seg.o pp_fastBlockSearcher.o  $(INFO)

tidy: clean
	rm -f *~ *.o *.rej *.orig ../include/*~ ../include/*.orig ../include/*.rej $(INFO)

augustus.o : \
	../include/evaluation.hh \
	../include/extrinsicinfo.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/codonMSA.hh \
	augustus.cc

dummy.o : \
	../include/exonmodel.hh \
	../include/igenicmodel.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/utrmodel.hh \
	../include/vitmatrix.hh \
	dummy.cc

etraining.o : \
	../include/extrinsicinfo.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	etraining.cc

evaluate.o : \
	../include/evaluation.hh \
	../include/genbank.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	evaluate.cc

evaluation.o : \
	../include/evaluation.hh \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	evaluation.cc

exonmodel.o : \
	../include/exonmodel.hh \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	exonmodel.cc

exontrain.o : \
	../include/commontrain.hh \
	../include/exonmodel.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	exontrain.cc

extrinsicinfo.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	extrinsicinfo.cc

genbank.o : \
	../include/genbank.hh \
	../include/fasta.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	genbank.cc

gene.o : \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	gene.cc

geneticcode.o : \
	../include/geneticcode.hh \
	../include/types.hh \
	geneticcode.cc

hints.o : \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/types.hh \
	hints.cc

igenicmodel.o : \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/igenicmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	igenicmodel.cc

igenictrain.o : \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/igenicmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	igenictrain.cc

intronmodel.o : \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	intronmodel.cc

introntrain.o : \
	../include/commontrain.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	introntrain.cc

lldouble.o : \
	../include/lldouble.hh \
	lldouble.cc

logdoubletest.o : \
	../include/lldouble.hh \
	logdoubletest.cc

motif.o : \
	../include/geneticcode.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/motif.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/types.hh \
	motif.cc

namgene.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/mea.hh \
	../include/motif.hh \
	../include/namgene.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/projectio.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/vitmatrix.hh \
	../include/exoncand.hh \
	namgene.cc

projectio.o : \
	../include/projectio.hh \
	projectio.cc

properties.o : \
	../include/lldouble.hh \
	../include/properties.hh \
	../include/types.hh \
	properties.cc

statemodel.o : \
	../include/exonmodel.hh \
	../include/extrinsicinfo.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/igenicmodel.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \
	../include/pp_scoring.hh \
	../include/properties.hh \
	../include/statemodel.hh \
	../include/types.hh \
	../include/utrmodel.hh \
	../include/vitmatrix.hh \
	statemodel.cc

types.o : \
	../include/lldouble.hh \
	../include/properties.hh \
	../include/types.hh \
	types.cc

utrmodel.o : \
	../include/extrinsicinfo.hh \
	../include/gene.hh \
	../include/geneticcode.hh \
	../include/hints.hh \
	../include/intronmodel.hh \
	../include/lldouble.hh \
	../include/matrix.hh \
	../include/merkmal.hh \
	../include/motif.hh \
	../include/pp_hitseq.hh \
	../include/pp_profile.hh \

=== auxprogs/bam2wig/Makefile ===
# Makefile of bam2wig
#
# NOTE: Modify the variable TOOLDIR according to where your samtools/htslib/bcftools/tabix software has been installed
#
# Created: 12-June-2012
# Last modified: 10-NOV-2017
#

ifndef TOOLDIR
	TOOLDIR=$(HOME)/tools
# replace with your own parent directory of samtools, htslib, bcftools, tabix
# if TOOLDIR is not specified as environment variable
endif

PROGRAM = bam2wig
SOURCES = $(PROGRAM)
OBJECTS = $(SOURCES:.c=.o)
SAMTOOLS=$(TOOLDIR)/samtools/
HTSLIB=$(TOOLDIR)/htslib/
BCFTOOLS=$(TOOLDIR)/bcftools/
TABIX=$(TOOLDIR)/tabix/
INCLUDES=-I$(SAMTOOLS) -I. -I$(HTSLIB) -I$(BCFTOOLS) -I$(TABIX)
VPATH=$(SAMTOOLS)
LIBS=$(SAMTOOLS)/libbam.a $(HTSLIB)/libhts.a -lcurses -lm -lz -lpthread
CFLAGS=-Wall -O2 $(INCLUDES)
CC=gcc

$(PROGRAM) : bam2wig.o
	$(CC) $(CFLAGS) $^ -o $@ $(LIBS) -lbz2 -llzma
	cp bam2wig ../../bin/bam2wig

bam2wig.o : bam2wig.c
	$(CC) $(CFLAGS) -c $^ -o $@

clean:
	rm -f $(OBJECTS) bam2wig.o
	rm -f ../../bin/bam2wig

=== debian/changelog ===
augustus (3.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/watch: Source download is now on Github
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 15:48:26 +0200

augustus (3.3.1+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: RRID -> SciCrunch

  [ Sascha Steinbiss ]
  * New upstream release.
  * Fix typo in manpage.
  * Remove obsolete Testsuite entry.
  * Bump Standards-Version.
  * Remove old patches.
  * Update VCS-* links.
  * Bump debhelper requirement to version 11.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 12 May 2018 08:25:35 +0200

=== debian/control ===
Source: augustus
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               libsqlite3-dev,
               libboost-iostreams-dev,
               zlib1g-dev,
               libgsl-dev,
               liblpsolve55-dev,
               libbamtools-dev,
               libbam-dev,
               libbz2-dev,
               lzma-dev,
               libhts-dev,
               libncurses5-dev,
               asciidoctor
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/augustus
Vcs-Git: https://salsa.debian.org/med-team/augustus.git
Homepage: http://bioinf.uni-greifswald.de/augustus/

Package: augustus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         augustus-data
Built-Using: samtools-legacy (= 0.1.19-2)
Description: gene prediction in eukaryotic genomes
 AUGUSTUS is a software for gene prediction in eukaryotic genomic sequences
 that is based on a generalized hidden Markov model (HMM), a probabilistic
 model of a sequence and its gene structure. After learning gene structures
 from a reference annotation, AUGUSTUS uses the HMM to recognize genes in a new
 sequence and annotates it with the regions of identified genes. External hints,
 e.g. from RNA sequencing, EST or protein alignments etc. can be used to guide
 and improve the gene finding process. The result is the set of most likely gene
 structures that comply with all given user constraints, if such gene
 structures exist.
 AUGUSTUS already includes prebuilt HMMs for many species, as well as scripts
 to train custom models using annotated genomes.

Package: augustus-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for AUGUSTUS
 This package contains pre-trained species models and other required
 architecture-independent data files for the AUGUSTUS gene finder. These are
 needed to identify gene structures in these or related organisms.

Package: augustus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation files for AUGUSTUS
 This package contains documentation for AUGUSTUS: a comprehensive manual-style
 README both for AUGUSTUS in general as well as for its comparative gene
 prediction (cgp) mode, as well as a HTML tutorial.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/Gaius-Augustus/Augustus/releases .*/archive/v(\d[.\d]+)[-tag0-9]*@ARCHIVE_EXT@

## augustus 3.3.2%2Bdfsg

=== src/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Notes: - "-Wno-sign-compare" eliminates a high number of warnings (see footnote below). Please adopt
 #          a strict signed-only usage strategy to avoid mistakes since we are not warned about this.
 #        - The order of object files in $(OBJS) IS IMPORTANT (see lldouble.hh)
-CXXFLAGS := -Wall -Wno-sign-compare -Wno-strict-overflow -pedantic -O3 ${CXXFLAGS}# -DDEBUG -g -ggdb -pg -DDEBUG_STATES
+CXXFLAGS := -Wall -Wno-sign-compare -Wno-strict-overflow -pedantic -g -ggdb -O3 ${CXXFLAGS}# -DDEBUG -g -ggdb -pg -DDEBUG_STATES
 ifdef SQLITE
 	COMPGENEPRED = true
 endif

=== auxprogs/bam2wig/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 TABIX=$(TOOLDIR)/tabix/
 INCLUDES=-I$(SAMTOOLS) -I. -I$(HTSLIB) -I$(BCFTOOLS) -I$(TABIX)
 VPATH=$(SAMTOOLS)
-LIBS=$(SAMTOOLS)/libbam.a $(HTSLIB)/libhts.a -lcurses -lm -lz -lpthread
+LIBS=$(SAMTOOLS)/libbam.a $(HTSLIB)/libhts.a -lcurses -lm -lz -lpthread -lcurl -lssl -lcrypto
 CFLAGS=-Wall -O2 $(INCLUDES)
 CC=gcc

=== auxprogs/homGeneMapping/src/Makefile ===
#
# Makefile for homGeneMapping
#
# BOOST = true

# set this flag to enable
# database access for retrieval of hints
# SQLITE = true

CC      = g++

# Notes: - "-Wno-sign-compare" eliminates a high number of warnings (see footnote below). Please adopt
#          a strict signed-only usage strategy to avoid mistakes since we are not warned about this.
#        - The order of object files in $(OBJS) IS IMPORTANT (see lldouble.hh)
CFLAGS := -Wall -Wno-sign-compare -ansi -pedantic -std=c++0x -pthread -O2 ${CFLAGS} # -DDEBUG -g -ggdb -pg

INCLS	= -I../include
LIBS	=
OBJS	= gene.o genome.o

ifdef BOOST
	CFLAGS += -DBOOST
	INCLS +=  # add the boost include path here, if boost ist not installed system-wide
endif

ifdef SQLITE
INCLS	+=           # add the sqlite include path here, if sqlite is not installed system-wide
LIBS    += -lsqlite3 # add the sqlite library path here, if sqlite is not install system-wide
OBJS    += sqliteDB.o
CFLAGS  += -DSQLITE
endif

all: homGeneMapping

.SUFFIXES:
.SUFFIXES: .cc .o .so

.cc.o:
	$(CC) -c $(CFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $< $(INCLS)

homGeneMapping: main.cc $(OBJS)
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^ $(INCLS)  $(LIBS)
	cp homGeneMapping ../../../bin/homGeneMapping

clean:
	rm -f homGeneMapping $(OBJS)

main.o : \
	../include/genome.hh \
	../include/projectio.hh \
	main.cc

gene.o : \
	../include/gene.hh \
	../include/projectio.hh \
	gene.cc

genome.o : \
	../include/genome.hh \
	../include/bitmasking.hh \
	../include/gene.hh \
	genome.cc

sqliteDB.o: \
        ../include/sqliteDB.hh \
        sqliteDB.cc

## augustus 3.3.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 
 # for internal purposes:
 release:
-	find . -name .svn | xargs rm -rf
 	find . -name "*~" | xargs rm -f
 	rm -f src/makedepend.pl
 	rm -r augustus-training
@@ -35,11 +34,12 @@
 	rm -r auxprogs/utrrnaseq/input/human-chr19
 	rm -r docs/tutorial-cgp/results/cactusout
 	make clean all
-	make clean
-	cd config/species; rm -rf tobacco xeno1 bombus_terrestris{1,3} symsag xenoturbella meara pavar newest elegans maker2_* lizard
 	rm generic/*.pbl
 	cd src/parser; rm Makefile; cd -
-	cd ..; tar -czf augustus-$(AUGVERSION).tar.gz augustus
+	cd ..; tar -czf augustus-$(AUGVERSION).tar.gz augustus-$(AUGVERSION)
+
+test:
+	./bin/augustus --species=human --UTR=on examples/example.fa
 
 # remove -static from src/Makefile for MAC users
 # remove -g -gdb from CXXFLAGS

=== debian/changelog ===
augustus (3.3.2+dfsg-2) unstable; urgency=medium

  * Use dynamic Built-Using in d/control.
    Thanks to Andreas Beckmann for useful hints.
    Closes: #924359

 -- Sascha Steinbiss <satta@debian.org>  Fri, 15 Mar 2019 17:11:10 +0100

augustus (3.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Exclude new training directory from tarball.
  * Adjust doc-base.
  * Use secure Format URL in d/copyright.
  * Add new build-deps for OpenSSL and libcurl.
  * Set AUGUSTUS_CONFIG_PATH at build time to enable tests.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 06 Oct 2018 14:24:12 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,8 @@
                lzma-dev,
                libhts-dev,
                libncurses5-dev,
+               libcurl4-nss-dev,
+               libssl-dev,
                asciidoctor
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/augustus
@@ -26,7 +28,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          augustus-data
-Built-Using: samtools-legacy (= 0.1.19-2)
+Built-Using: ${Built-Using:samtools}
 Description: gene prediction in eukaryotic genomes
  AUGUSTUS is a software for gene prediction in eukaryotic genomic sequences
  that is based on a generalized hidden Markov model (HMM), a probabilistic

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export TOOLDIR = /usr/include
export AUGUSTUS_CONFIG_PATH=$(CURDIR)/config
export LIBBAM_PKG_VERSION=$(shell apt-cache policy libbam-dev | grep Installed | cut -f2 -d: | cut -c2-)
.PHONY: bam2hints homGeneMapping checkTargetSortedness joingenes

%:
	dh $@

bin:
	mkdir -p bin

aln2wig: bin
		$(MAKE) -C auxprogs/aln2wig

bam2hints: bin
	$(MAKE) -C auxprogs/bam2hints

bam2wig: bin
		$(MAKE) -C auxprogs/bam2wig

checkTargetSortedness: bin
	$(MAKE) -C auxprogs/checkTargetSortedness

compileSpliceCands: bin
	$(MAKE) -C auxprogs/compileSpliceCands

filterBam: bin
	$(MAKE) -C auxprogs/filterBam

homGeneMapping: bin
	$(MAKE) -C auxprogs/homGeneMapping/src

joingenes: bin
	$(MAKE) -C auxprogs/joingenes

override_dh_auto_clean:
	$(MAKE) -C auxprogs/bam2hints clean
	$(MAKE) -C auxprogs/homGeneMapping clean
	$(MAKE) -C auxprogs/joingenes clean
	$(MAKE) -C auxprogs/aln2wig clean
	$(MAKE) -C auxprogs/bam2wig clean
	$(MAKE) -C auxprogs/checkTargetSortedness clean
	$(MAKE) -C auxprogs/compileSpliceCands clean
	$(MAKE) -C auxprogs/filterBam clean
	rm -rf bin

override_dh_auto_build: aln2wig bam2hints bam2wig checkTargetSortedness compileSpliceCands filterBam homGeneMapping joingenes
	dh_auto_build
	asciidoctor -a docdate='' -b manpage debian/mansrc/*adoc

override_dh_installchangelogs:
	dh_installchangelogs -k HISTORY.TXT

override_dh_auto_install:
	mkdir -p         debian/augustus/usr/bin
	install bin/*    debian/augustus/usr/bin
	install auxprogs/checkTargetSortedness/checkTargetSortedness \
                   debian/augustus/usr/bin
	install auxprogs/bam2wig/bam2wig \
                   debian/augustus/usr/bin
	install auxprogs/compileSpliceCands/compileSpliceCands \
                   debian/augustus/usr/bin
	install auxprogs/homGeneMapping/src/homGeneMapping \
                   debian/augustus/usr/bin
	install auxprogs/joingenes/joingenes \
	                 debian/augustus/usr/bin
	mkdir -p         debian/augustus/usr/share/augustus
	cp -r scripts    debian/augustus/usr/share/augustus
	chmod -R -x      debian/augustus/usr/share/augustus/scripts/*
	rm -rf           debian/augustus/usr/share/augustus/scripts/*.patch \
	                 debian/augustus/usr/share/augustus/scripts/aln2wig
	chmod +x         debian/augustus/usr/share/augustus/scripts/checkUTR \
	                 debian/augustus/usr/share/augustus/scripts/*.pl*
	mkdir -p         debian/augustus-doc/usr/share/doc/augustus
	cp README*       debian/augustus-doc/usr/share/doc/augustus
	cp docs/*.txt    debian/augustus-doc/usr/share/doc/augustus
	cp -r docs/tutorial \
	                 debian/augustus-doc/usr/share/doc/augustus
	mkdir -p         debian/augustus-data/usr/share/augustus
	cp -r config     debian/augustus-data/usr/share/augustus
	find             debian/augustus-data/usr/share/augustus \
	  -type f -exec chmod -x {} \;

override_dh_compress:
	dh_compress -Xtutorial

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'Built-Using:samtools=$(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libbam-dev)'

## augustus 3.3.3%2Bdfsg

=== auxprogs/compileSpliceCands/Makefile ===
compileSpliceCands : compileSpliceCands.o list.h list.o
	gcc $(LDFLAGS) -o compileSpliceCands compileSpliceCands.o list.o;
#	cp compileSpliceCands ../../bin
compileSpliceCands.o : compileSpliceCands.c 
	gcc -Wall -pedantic -ansi $(CPPFLAGS) -c compileSpliceCands.c 

all : compileSpliceCands

clean : 
	rm -f compileSpliceCands compileSpliceCands.o ../../bin/compileSpliceCands list.o

=== auxprogs/homGeneMapping/src/Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 
 homGeneMapping: main.cc $(OBJS)
 	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $^ $(INCLS)  $(LIBS)
+	mkdir -p ../../../bin/
 	cp homGeneMapping ../../../bin/homGeneMapping
 
 clean:

## augustus 3.3.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,6 @@
 release:
 	find . -name "*~" | xargs rm -f
 	rm -f src/makedepend.pl
-	rm -r augustus-training
 	cd docs/tutorial2015/results; ls | grep -v do.sh | grep -v README | xargs rm; cd -
 	rm -r auxprogs/utrrnaseq/input/human-chr19
 	rm -r docs/tutorial-cgp/results/cactusout
@@ -39,6 +38,8 @@
 	cd ..; tar -czf augustus-$(AUGVERSION).tar.gz augustus-$(AUGVERSION)
 
 test:
+	cd src && ${MAKE} unittest
+	cd src/unittests && ./unittests
 	./bin/augustus --species=human --UTR=on examples/example.fa
 
 # remove -static from src/Makefile for MAC users

=== auxprogs/Makefile ===
# Makefile for auxprogs
#
# Created on: 16-October-2016
# Last modified on: 16-October-2016 by Katharina Hoff (katharina.hoff@gmail.com)

all:
	cd bam2hints; make;
	cd compileSpliceCands; make;
	cd filterBam; make;
	cd homGeneMapping; make;
	cd joingenes; make;
	cd bam2wig; make;
	cd utrrnaseq/Debug; make all;
clean:
	cd bam2hints; make clean;
	cd compileSpliceCands; make clean;
	cd filterBam; make clean;
	cd homGeneMapping; make clean;
	cd joingenes; make clean;
	cd bam2wig; make clean;
	cd utrrnaseq/Debug; make clean;

=== src/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Notes: - "-Wno-sign-compare" eliminates a high number of warnings (see footnote below). Please adopt
 #          a strict signed-only usage strategy to avoid mistakes since we are not warned about this.
 #        - The order of object files in $(OBJS) IS IMPORTANT (see lldouble.hh)
-CXXFLAGS := -Wall -Wno-sign-compare -Wno-strict-overflow -pedantic -g -ggdb -O3 ${CXXFLAGS}# -DDEBUG -g -ggdb -pg -DDEBUG_STATES
+CXXFLAGS := -Wall -Wno-sign-compare -pedantic -g -ggdb -O3 ${CXXFLAGS}# -DDEBUG -g -ggdb -pg -DDEBUG_STATES
 ifdef SQLITE
 	COMPGENEPRED = true
 endif
@@ -66,6 +66,7 @@
 
 .SUFFIXES:
 .SUFFIXES: .cc .o .so
+.PHONY: googletest
 
 .cc.o:
 	$(CXX) -c $(CXXFLAGS) -o $@ $< $(INCLS)
@@ -119,9 +120,18 @@
 
 clean:
 	rm -f ../bin/* $(PROGR) $(OBJS) $(DUMOBJS) $(TOBJS) consensus.o exon_seg.o pp_fastBlockSearcher.o  $(INFO)
+	cd googletest && ${MAKE} clean
+	cd unittests && ${MAKE} clean
 
 tidy: clean
 	rm -f *~ *.o *.rej *.orig ../include/*~ ../include/*.orig ../include/*.rej $(INFO)
+	cd googletest && ${MAKE} tidy
+
+googletest:
+	cd googletest && ${MAKE}
+
+unittest: googletest
+	cd unittests && ${MAKE}
 
 augustus.o : \
 	../include/evaluation.hh \
@@ -455,10 +465,3 @@
 	../include/gene.hh \
 	../include/geneticcode.hh \
 	../include/hints.hh \
-	../include/intronmodel.hh \
-	../include/lldouble.hh \
-	../include/matrix.hh \
-	../include/merkmal.hh \
-	../include/motif.hh \
-	../include/pp_hitseq.hh \
-	../include/pp_profile.hh \

=== auxprogs/bam2hints/Makefile ===
#	Makefile corresponding to BAM2HINTS
#	
# 	NOTE:
#	a) "-g" option allows for debugging
#	b) libbamtools.a and lz library are used during the linking process
#
# 	Created: 14-December-2011
#	Last modified:  09-October-2015 by Katharina J. Hoff

# Variable definition
INCLUDES = /usr/include/bamtools
LIBS = -lbamtools -lz
SOURCES = bam2hints.cc 
OBJECTS = $(SOURCES:.cc=.o)
CXXFLAGS += -Wall -O2 # -g -p -g -ggdb 

LINK.cc = g++

# Recipe(s)
# $@: full target name of current target. 
# $<: .c file of target. 
bam2hints : $(OBJECTS) 
	$(LINK.cc) $(CXXFLAGS) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBS)
	mkdir -p ../../bin
	cp bam2hints ../../bin

all:$(OBJECTS) # Compiles each foo.cc into foo.o

bam2hints.o : $(SOURCES)
	$(LINK.cc) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) -c $< -o $@ -I$(INCLUDES) 

clean:
	rm -f bam2hints.o bam2hints ../../bin/bam2hints

=== auxprogs/bam2wig/Makefile ===
# Makefile of bam2wig
#
# NOTE: Modify the variable TOOLDIR according to where your samtools/htslib/bcftools software has been installed
# 
# License: Artistic License, see file LICENSE.TXT or 
#          https://opensource.org/licenses/artistic-license-1.0
#

ifndef TOOLDIR
	TOOLDIR=$(HOME)/tools
# replace with your own parent directory of samtools, htslib, bcftools
# if TOOLDIR is not specified as environment variable
endif

PROGRAM = bam2wig
SOURCES = $(PROGRAM)
OBJECTS = $(SOURCES:.c=.o)
SAMTOOLS=$(TOOLDIR)/samtools
HTSLIB=$(TOOLDIR)/htslib
BCFTOOLS=$(TOOLDIR)/bcftools
INCLUDES=-I$(SAMTOOLS) -I. -I$(HTSLIB) -I$(BCFTOOLS)
VPATH=$(SAMTOOLS)
LIBS=$(SAMTOOLS)/libbam.a $(HTSLIB)/libhts.a -lcurses -lm -lz -lpthread -lcurl -lssl -lcrypto
CFLAGS=-Wall -O2 $(INCLUDES)
CC=gcc

$(PROGRAM) : bam2wig.o
	$(CC) $(CFLAGS) $^ -o $@ $(LIBS) -lbz2 -llzma
	mkdir -p ../../bin
	cp bam2wig ../../bin/bam2wig

bam2wig.o : bam2wig.c
	$(CC) $(CFLAGS) -c $^ -o $@

clean:
	rm -f $(OBJECTS) bam2wig.o
	rm -f ../../bin/bam2wig

=== auxprogs/checkTargetSortedness/Makefile ===
# Tests whether BAM file has been sorted by target reference (RefID)
#
# NOTE:
# Depending on the version of the compiler,  the call to "-lcurses" might have
# to be replaced to "-lncurses"
#
#
# Created: 11-April-2012
# Last modified:  9-July-2012
#

SOURCES = checkTargetSortedness.c
PROGRAM = checkTargetSortedness
OBJECTS = $(SOURCES:.c=.o) 
CFLAGS := -g -Wall -O2 ${CFLAGS}
# Change variable below so that it points to your SAMTOOLS folder...
SAMTOOLS = /usr/include/samtools
INCLUDES = -I$(SAMTOOLS) -I.
# replace -lbam with the following in case you have your own samtools library: $(SAMTOOLS)/libbam.a
LIBS=-lbam -lcurses -lm -lz -lpthread
CC=gcc

all:$(PROGRAM) $(OBJECTS)

$(PROGRAM):$(OBJECTS)
	$(CC) $(CFLAGS)	$(CPPFLAGS) $(LDFLAGS) $^ -o $@ $(LIBS) 

$(OBJECTS):%.o:%.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c $^ -o $@ $(INCLUDES)

clean:
	rm -f *.o checkTargetSortedness

=== auxprogs/joingenes/Makefile ===
CC=g++
CFLAGS=-Wall -std=gnu++0x

all: joingenes

joingenes: joingenes.o jg_transcript.o jg_ios.o jg_transcript.h jg_ios.h
	$(CC) $(CFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS) joingenes.o jg_transcript.o jg_ios.o -o joingenes
	cp joingenes ../../bin/

joingenes.o: joingenes.cpp jg_transcript.h jg_ios.h
	$(CC) -c $(CFLAGS) $(CXXFLAGS) $(CPPFLAGS) ${LDFLAGS} joingenes.cpp

jg_transcript.o: jg_transcript.cpp jg_transcript.h
	$(CC) -c $(CFLAGS) $(CXXFLAGS) $(CPPFLAGS) ${LDFLAGS} jg_transcript.cpp

jg_ios.o: jg_ios.cpp jg_ios.h jg_transcript.h
	$(CC) -c $(CFLAGS) $(CXXFLAGS) $(CPPFLAGS) ${LDFLAGS} jg_ios.cpp

clean:
	rm -rf *o joingenes; rm -rf ../../bin/joingenes

=== src/googletest/Makefile ===
# Points to the root of Google Test, relative to where this file is.
# Remember to tweak this if you move this file.
GTEST_DIR = .

# Points to the location of the Google Test libraries
GTEST_LIB_DIR = .

# Flags passed to the preprocessor.
# Set Google Test's header directory as a system directory, such that
# the compiler doesn't generate warnings in Google Test headers.
CPPFLAGS += -isystem $(GTEST_DIR)/include

# Flags passed to the C++ compiler.
CXXFLAGS += -g -Wall -Wextra -pthread -std=c++11

# Google Test libraries
GTEST_LIBS = libgtest.a libgtest_main.a

# All Google Test headers.  Usually you shouldn't change this
# definition.
GTEST_HEADERS = $(GTEST_DIR)/include/gtest/*.h \
                $(GTEST_DIR)/include/gtest/internal/*.h

# House-keeping build targets.

all : $(GTEST_LIBS)

clean :
	rm -f *.o

tidy : clean
	rm -f $(GTEST_LIBS)

# Builds gtest.a and gtest_main.a.

# Usually you shouldn't tweak such internal variables, indicated by a
# trailing _.
GTEST_SRCS_ = $(GTEST_DIR)/src/*.cc $(GTEST_DIR)/src/*.h $(GTEST_HEADERS)

# For simplicity and to avoid depending on Google Test's
# implementation details, the dependencies specified below are
# conservative and not optimized.  This is fine as Google Test
# compiles fast and for ordinary users its source rarely changes.
gtest-all.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c \
            $(GTEST_DIR)/src/gtest-all.cc

gtest_main.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) -I$(GTEST_DIR) $(CXXFLAGS) -c \
            $(GTEST_DIR)/src/gtest_main.cc

libgtest.a : gtest-all.o
	$(AR) $(ARFLAGS) $@ $^

libgtest_main.a : gtest-all.o gtest_main.o
	$(AR) $(ARFLAGS) $@ $^

=== src/unittests/Makefile ===
include ../../common.mk
AINC = ../../include
CXX = g++
CXXFLAGS := -std=c++11 -Wall -pedantic -pthread ${CXXFLAGS}
LDFLAGS = -L../googletest -lgtest -lgtest_main
INCLS	+= -I$(AINC) -isystem ../googletest/include/

# Link all tests to a single test binary
unittests: lldouble_unittest.o fasta_unittest.o
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(INCLS) lldouble_unittest.o fasta_unittest.o ../lldouble.o ../fasta.o -o unittests

# Here follows each individual Unit Test
lldouble_unittest.o: lldouble_unittest.cc $(AINC)/lldouble.hh
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(INCLS) -c lldouble_unittest.cc

fasta_unittest.o: fasta_unittest.cc $(AINC)/fasta.hh
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(INCLS) -c fasta_unittest.cc

# execute all tests: run test binary
test: unittests
	./unittests

clean:
	rm -f *.o unittests

=== auxprogs/filterBam/src/Makefile ===
#	Makefile for filterBam
#
# 	Created: 11-November-2011
#	Last modified: 09-May-2018


SOURCES = filterBam.cc MatePairs.cc getReferenceName.cc initOptions.cc SingleAlignment.cc \
			printElapsedTime.cc sumMandIOperations.cc sumDandIOperations.cc PairednessCoverage.cc
PROGRAM = filterBam
OBJECTS = $(SOURCES:.cc=.o)
BAMTOOLS = /usr/include/bamtools
INCLUDES = -I$(BAMTOOLS) -Iheaders -I./bamtools
LIBS = -lbamtools -lz
CFLAGS = -std=c++0x
VPATH = functions

all : $(PROGRAM) $(OBJECTS) CHECKBAM BIN

BIN : $(PROGRAM) CHECKBAM
	mv filterBam ../../../bin/filterBam

CHECKBAM:
	@if [ -z "${BAMTOOLS}" ]; then \
		echo '[Makefile]: $${BAMTOOLS} has not been set.'; \
		exit 101; \
	elif [ "${BAMTOOLS}" ]; then \
		echo "filterBam compiled with BAMTOOLS=${BAMTOOLS}"; \
	fi

$(PROGRAM) : $(OBJECTS)
	$(LINK.cc) $(CFLAGS) $(LDFLAGS) $^ -o $@ $(LIBS) 

$(OBJECTS) : %.o:%.cc
	$(LINK.cc) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@ $(INCLUDES)


clean:
	rm -f *~ $(OBJECTS)
	rm -f ../../../bin/filterBam

=== debian/changelog ===
augustus (3.3.3+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:34:00 +0100

augustus (3.3.3+dfsg-2) unstable; urgency=medium

  * Use source package name for Built-Using entry.
    Closes: #940703

 -- Sascha Steinbiss <satta@debian.org>  Sun, 22 Sep 2019 21:40:24 +0200

augustus (3.3.3+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release.
  * Remove obsolete entry in doc-base.
  * Use debhelper 12.
  * Bump Standards-Version.
  * Fix interpreter paths in Perl scripts.

  [ Steffen Moeller ]
  * Add d/upstream/metadata reference to Conda.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 18 Sep 2019 23:11:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                libsqlite3-dev,
                libboost-iostreams-dev,
                zlib1g-dev,
@@ -18,7 +18,7 @@
                libcurl4-nss-dev,
                libssl-dev,
                asciidoctor
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/augustus
 Vcs-Git: https://salsa.debian.org/med-team/augustus.git
 Homepage: http://bioinf.uni-greifswald.de/augustus/
@@ -28,7 +28,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          augustus-data
-Built-Using: ${Built-Using:samtools}
+Built-Using: samtools-legacy (= ${libbam-dev:Version})
 Description: gene prediction in eukaryotic genomes
  AUGUSTUS is a software for gene prediction in eukaryotic genomic sequences
  that is based on a generalized hidden Markov model (HMM), a probabilistic

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 	$(MAKE) -C auxprogs/compileSpliceCands clean
 	$(MAKE) -C auxprogs/filterBam clean
 	rm -rf bin
+	rm -f debian/*substvars
 
 override_dh_auto_build: aln2wig bam2hints bam2wig checkTargetSortedness compileSpliceCands filterBam homGeneMapping joingenes
 	dh_auto_build
@@ -88,5 +89,5 @@
 	dh_compress -Xtutorial
 
 override_dh_gencontrol:
-	dh_gencontrol -- \
-		-V'Built-Using:samtools=$(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libbam-dev)'
+	echo "libbam-dev:Version=$(LIBBAM_PKG_VERSION)" >> debian/augustus.substvars
+	dh_gencontrol

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/Gaius-Augustus/Augustus/releases .*/archive/v?(\d[.\d]+)[-tag0-9]*@ARCHIVE_EXT@

## augustus 3.4.0%2Bdfsg2

=== auxprogs/aln2wig/Makefile ===
CFLAGS := -Wall -Wno-sign-compare -ansi -pedantic -O2 ${CFLAGS}
CC?=gcc

aln2wig : aln2wig.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o aln2wig aln2wig.o
	mkdir -p ../../bin
	cp aln2wig ../../bin
aln2wig.o : aln2wig.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c aln2wig.c

all : aln2wig

clean :
	rm -f aln2wig aln2wig.o; rm -f ../../bin/aln2wig
